#!/bin/tcsh

#### BEFORE RUNNING, CHANGE FILE NAMES THAT HAVE A COLON IN THEM!:
# for f in `find . -name "*:*" `; do mv $f "${f//:/__}"; done



set here = $PWD

# This one has holes: "shen_2mm_268_parcellation_HaskinsPeds+tlrc"
# so use this hole-filled one:
set ivol    = "../shen_2mm_268_parcellation_HaskinsPeds_GMI.nii.gz"
set allfile = `ls *txt`

echo "\n\n++ Found $#allfile files\n\n"

foreach ff ( $allfile )

    set ffbase = `basename $ff .txt`

    echo "++ Proc: $ff"
    python do_convert_bounds.py "$ff"

    # get the created 3dcalc expressions for the ME and THR vols, and
    # then apply them with 3dcalc
    set ffexprME  = `cat ${ffbase}_ME.dat`
    set ffexprTHR = `cat ${ffbase}_THR.dat`
    3dcalc                     \
        -a "$ivol"             \
        -expr "$ffexprME"      \
        -prefix __tmp_${ffbase}_ME.nii.gz
    3dcalc                     \
        -a "$ivol"             \
        -expr "$ffexprTHR"      \
        -prefix __tmp_${ffbase}_THR.nii.gz

    # glue the above 2 dsets together
    3dTcat \
        -prefix ../${ffbase}_ME_THR.nii.gz \
        __tmp_${ffbase}_*nii.gz

    # clean
    \rm __tmp*

end

echo "\n\n++ DONE! \n\n"
