#!/bin/tcsh

set here = $PWD
#set refset = /data/REF_TEMPLATES_AFNI/HaskinsPeds_NL_template1.0_SSW.nii.gz
set refset = HaskinsPeds_NL_template1.0_BOXED.nii.gz

set odir = BAYESIAN_RESULTS

\mkdir -p $odir

set allvol = `ls *ME_THR.nii.gz`

foreach ff ( $allvol )

    echo "\n\n++ Proc:  $ff\n\n"
    set opref = $ff:gas/_ME_THR.nii.gz//

    @chauffeur_afni                             \
        -ulay  "${refset}"                      \
        -box_focus_slices  "${refset}[0]"       \
        -olay  $ff                              \
        -cbar Reds_and_Blues_Inv                \
        -ulay_range 0% 150%                     \
        -func_range_perc_nz 95                  \
        -thr_olay 1                             \
        -olay_alpha Yes                         \
        -olay_boxed Yes                         \
        -set_subbricks 0  0 1                   \
        -delta_slices 11 16 11                  \
        -set_dicom_xyz -29 57 34                \
        -zerocolor white                        \
        -label_color "black"                    \
        -opacity 6                              \
        -prefix   "$odir/${opref}"              \
        -pbar_saveim "$odir/${opref}_pbar.png"  \
        -montx 5 -monty 2                       \
        -set_xhairs OFF                         \
        -label_mode 1 -label_size 3             \
        -do_clean
end

echo "++ DONE!"
